/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_YACA_ENCRYPTION_DOC_H__
#define __TIZEN_CORE_YACA_ENCRYPTION_DOC_H__
/**
  * @ingroup CAPI_YACA_MODULE
  * @defgroup CAPI_YACA_ENCRYPTION_MODULE YACA Encryption
  * @brief    Provides APIs for encryption and decryption operations.
  *
  * @section CAPI_YACA_ENCRYPTION_MODULE_HEADER Required Header
  * \#include <yaca/yaca_crypto.h>\n
  * \#include <yaca/yaca_encrypt.h>\n
  * \#include <yaca/yaca_seal.h>\n
  * \#include <yaca/yaca_types.h>\n
  * \#include <yaca/yaca_error.h>\n
  *
  * @section CAPI_YACA_ENCRYPTION_MODULE_OVERVIEW Overview
  * It provides advanced APIs for encryption/decryption operations with symmetric keys and sealing/opening operations with asymmetric keys.
  *
  */

#endif /* __TIZEN_CORE_YACA_ENCRYPTION_DOC_H__ */
